Skip to content

Get 'QuotaCollection'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/brf/quotas/quotacollection/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/brf/quotas/quotacollection/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

brf_companyobject(BrfCompany)required
id_numberstring, <= 255 charactersrequired
namestring, <= 255 charactersrequired
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
used_distribution_methodinteger or null, (int32), [ -2147483648 .. 2147483647 ]

Additional Validation Information:

Enum Descriptions:

  • 0 - Investment Capital

  • 1 - Brf Apartment Quota

  • 2 - Brf Apartment Capped

  • 3 - Brf Apartment Usable Area

Enum:0123
tagsanyread-only
customer_columnsanyread-only
pending_monitor_approval_amountanyread-only
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "brf_company": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "used_distribution_method": 0, "id_number": "string", "name": "string", "tags": null, "customer_columns": null, "pending_monitor_approval_amount": null }